package p05_petle.zadania;

import java.util.Scanner;

/*
Użytkownik podaje liczbę `limit`

Program ma wypisać liczby z zakresu od 1 do `limit` włącznie,
ale tylko te, które pasują do poniższych kryteriów.
Każda liczba wypisywana jest tylko raz.
 - Jeśli liczba i jest podzielna przez 3, to wypisz 'Fizz i'
 - Jeśli liczba i jest podzielna przez 5, to wypisz 'Buzz i'
 - Jeśli jest jednocześnie podzielna przez 3 i przez 5, to wypisz 'FizzBuzz i'
Na końcu wypisz ile liczb było podzielnych przez 3 lub przez 5
(czyli ile różnych liczb zostało w ogóle wypisanych).

P.S. To moja interpretacja programu FizzBuzz ;-) „W internetach” znajdziecie trochę inną...
*/
public class FizzBuzz1 {

    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        System.out.print("Podaj limit: ");
        int limit = scanner.nextInt();
        int ile = 0;
        
        for(int i = 1; i <= limit; i++) {
            if(i % 3 == 0 && i % 5 == 0) {
                System.out.println("FizzBuzz " + i);
                ile++;
            } else if(i % 3 == 0) {
                System.out.println("Fizz " + i);
                ile++;
            } else if(i % 5 == 0) {
                System.out.println("Buzz " + i);
                ile++;
            }
            System.out.println("Liczba wystąpień: " + ile);
        }
    }
}
